import turtle
import random


# Preparar a janela do jogo.
turtle.Screen().setup(width=600, height=400, startx=840)
turtle.bgcolor("skyblue")


# Uma tartaruga para desenhar a meta.
t = turtle.Turtle()
t.speed(10)
t.width(5)
t.color("white")
t.up()
t.forward(200)
t.left(90)
t.down()
t.forward(200)
t.left(180)
t.forward(400)


# As imagens para as tartarugas corredoras.
# (estes ficheiros têm que existir na pasta "mu_code" do teu computador!)
IMAGEM_1 = "aviao-a-1.gif"
IMAGEM_2 = "aviao-b-4.gif"




# Uma tartaruga que é o corredor de cima.
cima = turtle.Turtle()
turtle.register_shape(IMAGEM_1)
cima.shape(IMAGEM_1)
cima.color("white")
cima.up()

# Vai para a partida, à esquerda em cima.
cima.left(180)
cima.forward(200)
cima.right(90)
cima.forward(100)
cima.right(90)


# Uma tartaruga que é o corredor de baixo.
baixo = turtle.Turtle()
turtle.register_shape(IMAGEM_2)
baixo.shape(IMAGEM_2)
baixo.color("white")
baixo.up()

# Vai para a partida, à esquerda em baixo.
baixo.left(180)
baixo.forward(200)
baixo.left(90)
baixo.forward(100)
baixo.left(90)


# A função que executa cada que se carregar numa tecla.
def corrida():

    # Se o corredor de cima ultrapassou a meta, com coordenada X > 200,
    # ou o corredor de baixo ultrapassou a meta, com coordenada X > 200,
    # então o jogo terminou e instrução return interrompe esta função.
    if cima.xcor() > 200 or baixo.xcor() > 200:
        return

    # Determinar passos aleatórios para cada corredor.
    passos_cima = random.randint(50, 100)
    passos_baixo = random.randint(50, 100)

    # Cada corredor avança.
    cima.forward(passos_cima)
    baixo.forward(passos_baixo)

    # Se ambos os corredores ultrapassaram a meta, com coordenada X > 200,
    # é um empate: escreve a mensagem "Empate" junto a cada corredor e termina.
    if cima.xcor() > 200 and baixo.xcor() > 200:
        cima.write("Empate", align="right", font=("Arial", 80, "bold"))
        baixo.write("Empate", align="right", font=("Arial", 80, "bold"))
        return

    # Se o jogador de cima ultrapassou a meta escreve a mensagem "Ganhou!".
    if cima.xcor() > 200:
        cima.write("Ganhou!", align="right", font=("Arial", 80, "bold"))

    # Se o jogador de baixo ultrapassou a meta escreve a mensagem "Ganhou!".
    if baixo.xcor() > 200:
        baixo.write("Ganhou!", align="right", font=("Arial", 80, "bold"))


# Prepara o programa para usar o teclado.
turtle.listen()

# Receita: sempre que se carrega na tecla "c" a função "corrida" é executada.
turtle.onkey(corrida, "c")

# Aguarda pelo teclado ou que se feche a janela.
turtle.mainloop()
